require_dependency "skirental_frontend_api/application_controller"

module SkirentalFrontendApi
    class CouponController < ApplicationController
        before_action :set_coupon_params

        def show
            puts "SkirentalFrontendApi::BookingsController.coupon"
            booking = Booking.where(shop_id: @shop_id, session_id: @session_id).first
            coupon = SkirentalApi::Client.coupon(booking, @promo_code)
            render :json => coupon
        end

        private

        def set_coupon_params
            @shop_id = coupon_params[:shop_id]
            @session_id = coupon_params[:session_id]
            @promo_code = coupon_params[:promo_code]
        end

        # Only allow a trusted parameter "white list" through.
        def coupon_params
            params.permit(:shop_id, :session_id, :promo_code)
        end
    end
end